<?php

/* Please copy the following lines to the thesis custom_functions.php file in the custom folder. This class
 * is tested with thesis 1.8.
 *
 * Bibliplug custom loop for author archive page.
 * 
 */

global $loopty_loop;
$loopty_loop = new bibliplug_loops;

class bibliplug_loops extends thesis_custom_loop {
	function author() {
		global $wp_query, $thesis_design;

		$curauth = get_userdata($wp_query->query_vars['author']);

		echo "<div id='archive_intro' class='author_bio'>";
		echo "<h1><strong>$curauth->display_name</strong></h1>";
		echo "	<div class='bibliplug-author_avatar'>".get_avatar($curauth->ID, 120)."</div>";
		echo "	<div class='bibliplug-author_details format_text entry-content'>";
		echo "		<p><strong>".str_replace("\n", "<br/>", $curauth->affiliation)."</strong></p>";
		echo "		<p><a href='mailto:$curauth->user_email'>Email</a>";
		if ($curauth->user_url) {
			echo " | <a href='$curauth->user_url'>Website</a>";
		}
		echo "		</p>";
		echo "		<p>$curauth->author_bio</p>";
		echo "	</div>";
		echo "</div>";

		echo "<div class='bibliplug-author_rest post_box'>";
		$publications = do_shortcode("[bibliplug last_name='$curauth->last_name' first_name='$curauth->first_name' type='publications']");
		if ($publications) {
			echo "<div class='headline_area'><h2 class='entry-title'>Publications</h2></div>";
			echo "<div class='format_text entry-content'>$publications</div>";
		}

		$presentations = do_shortcode("[bibliplug last_name='$curauth->last_name' first_name='$curauth->first_name' type='presentations']");
		if ($presentations) {
			echo "<div class='headline_area'><h2 class='entry-title'>Presentations</h2></div>";
			echo "<div class='format_text entry-content'>$presentations</div>";
		}
		echo "</div>";
	}
}

?>
